Subject: bug#30507: Be sure to let user know you have surreptitiously edited his .emacs file

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Sun, 18 Feb 2018 10:50:49 +0800

Today I just happened to have my eyes near the screen when starting
emacs, and for half a second noticed

Saving file /home/jidanni/.emacs...
Wrote /home/jidanni/.emacs [2 times]

flit by.

That's odd, somebody else is editing my .emacs file.

And inside it I found

;; Added by Package.el.  This must come before configurations of
;; installed packages.  Don't delete this line.  If you don't want it,
;; just comment it out by adding a semicolon to the start of the line.
;; You may delete these explanatory comments.
(package-initialize)

How kind of it.
However my .emacs file is under my personal revision control system,
and you writing into it without letting me know will make my whole
system crazy and only get overwritten later anyway.

So be sure to say
Alert: Holmes, we have edited your .emacs file.
It is for your own good.
[OK]

I mean you already have enough places
~/.emacs.d/
~/.emacs-custom.el
where you write things for the user.

Can you please notify him when you tamper with .emacs itself? Thanks.